org.eclipse.actf.util.httpproxy.core

## Interface IBufferRange

    public interface IBufferRange

Interface for keeping start position and length of target content

### Method Summary

Methods
`int` `getLength()` Get length of the target content.
`int` `getStart()` Get start position of the target content in buffer.
`void` `reset()` Reset start position and length to zero.
`void` `setLength(int length)` Set length of the target content.
`void` `setStart(int start)` Set start position of the target content in the buffer.

### Method Detail

#### reset

    void reset()

Reset start position and length to zero.

#### setStart

    void setStart(int start)

Set start position of the target content in the buffer.

Parameters:
  `start` - start position

#### setLength

    void setLength(int length)

Set length of the target content.

Parameters:
  `length` - length

#### getStart

    int getStart()

Get start position of the target content in buffer.

Returns:
  start position

#### getLength

    int getLength()

Get length of the target content.

Returns:
  length